PROGRAM_NAME='Midra4K_Definitions'

(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 15/03/2021                      *)
(***********************************************************)
(* System Type : NetLinx                                   *)
(***********************************************************)
(* REV HISTORY:     Revision   1.00                        *)
(***********************************************************)

(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
#if_not_defined Midra4K_Devices
#define Midra4K_Devices

DEFINE_DEVICE

IPad_Port1			=	IPad_Num_Device:1:0

Midra4K_Proc_COM		=	Virtual_Midra4K_Num_Device:1:0
Midra4K_Screens_Aux_COM		=	Virtual_Midra4K_Num_Device:2:0
Midra4K_Presets_COM		=	Virtual_Midra4K_Num_Device:3:0
Midra4K_MasterPresets_COM	=	Virtual_Midra4K_Num_Device:4:0

Midra4K_General_Panel	=	Virtual_Midra4K_Panel:1:0

DEFINE_COMBINE
(Midra4K_General_Panel,IPad_Port1)

#end_If

(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
#if_not_defined Midra4K_Variables
#define Midra4K_Variables

DEFINE_VARIABLE

DEV Midra4K_Modules_Array[] =   {
				Midra4K_Screens_Aux_COM,
				Midra4K_Presets_COM,
				Midra4K_MasterPresets_COM
				}

#end_If

(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START

SET_VIRTUAL_CHANNEL_COUNT (Midra4K_General_Panel,500)
SET_VIRTUAL_LEVEL_COUNT (Midra4K_General_Panel,200)

